from django.urls import path
from django.contrib.auth.views import LoginView, LogoutView
from .views import index, admin_dashboard, health_check, property_list, appraisal_list, user_list, project_list, invoice_list


app_name = 'core'

urlpatterns = [
    # Entrypoint
    path("", index, name="index"),

    # Health Check
    path("health_check/", health_check, name='health_check'),

    # Authentication
    path("login/", LoginView.as_view(
        template_name='registration/login.html',
        redirect_authenticated_user=True), name='login'),
    path("logout/", LogoutView.as_view(next_page='login'), name='logout'),


    # Dashboards
    path("admin_dashboard/", admin_dashboard, name='admin_dashboard'),
    path("properties/", property_list, name='property_list'),
    path("appraisals/", appraisal_list, name='appraisal_list'),
    path("users/", user_list, name='user_list'),
    path("projects/", project_list, name='project_list'),
    path("invoices/", invoice_list, name='invoice_list'),
]